///home/berryj/link/bin/genMethods "-g" "-t" "Set<int>" "-h" "SortedList" "-I" "LINK/basic/Set.h" "-I" "LINK/basic/SortedList.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Set.h>

#include <LINK/basic/SortedList.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/ListWrapper.h>


typedef Set<int> _Set_int_;
typedef SortedList<Set<int> > _SortedList_Set_int__;
static SortedList<Set<int> > s__SortedList_Set_int__;

#define _SortedList_Set_int__DATA(x) ((SortedList<Set<int> >*) (EXTDATA(x)))
#define _SortedList_Set_int__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SortedList<Set<int> > >::type))
#define _SortedList_Set_int__ISNT_DATA(x) (!_SortedList_Set_int__IS_DATA(x))

#define _SortedList_Set_int__CXX_DATA(x) (*(SortedList<Set<int> >*) (EXTDATA(VAL(x))))
#define _SortedList_Set_int__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SortedList<Set<int> > >::type))
#define _SortedList_Set_int__CXX_ISNT_DATA(x) (!_SortedList_Set_int__CXX_IS_DATA(x))


PRIMITIVE STk_init__SortedList_Set_int__()
{
	Wrapper<_SortedList_Set_int__>::type = STk_new_CXXwrapper_id(
			Wrapper<_SortedList_Set_int__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))
			ListWrapper<_Set_int_>::displayTypedList,
			(void (*)(SCM x))ListWrapper<_Set_int_>::markTypedList,
			(void (*)(SCM x))ListWrapper<_Set_int_>::freeTypedList);
	Tcl_InitHashTable(&Register<_SortedList_Set_int__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_SortedList_Set_int__Methods(void);

PRIMITIVE STk_init_methods__SortedList_Set_int__()
{
	genExtra_SortedList_Set_int__Methods();
	return UNDEFINED;
}
